class ConfirmFormArrayPathTestForm

Same name and namespace in other branches
  1. 11.x core/modules/system/tests/modules/form_test/src/ConfirmFormArrayPathTestForm.php \Drupal\form_test\ConfirmFormArrayPathTestForm
  2. 10 core/modules/system/tests/modules/form_test/src/ConfirmFormArrayPathTestForm.php \Drupal\form_test\ConfirmFormArrayPathTestForm
  3. 9 core/modules/system/tests/modules/form_test/src/ConfirmFormArrayPathTestForm.php \Drupal\form_test\ConfirmFormArrayPathTestForm
  4. 8.9.x core/modules/system/tests/modules/form_test/src/ConfirmFormArrayPathTestForm.php \Drupal\form_test\ConfirmFormArrayPathTestForm

Provides a test confirmation form with a complex cancellation destination.

@internal

Hierarchy

Expanded class hierarchy of ConfirmFormArrayPathTestForm

1 string reference to 'ConfirmFormArrayPathTestForm'
form_test.routing.yml in core/modules/system/tests/modules/form_test/form_test.routing.yml
core/modules/system/tests/modules/form_test/form_test.routing.yml

File

core/modules/system/tests/modules/form_test/src/ConfirmFormArrayPathTestForm.php, line 14

Namespace

Drupal\form_test
View source
class ConfirmFormArrayPathTestForm extends ConfirmFormTestForm {
  
  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'form_test_confirm_array_path_test_form';
  }
  
  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return new Url('form_test.route6', [], [
      'query' => [
        'destination' => 'admin/config',
      ],
    ]);
  }
  
  /**
   * {@inheritdoc}
   */
  public function getCancelText() {
    return $this->t('ConfirmFormArrayPathTestForm::getCancelText().');
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
AutowiredInstanceTrait::createInstanceAutowired public static function Instantiates a new instance of the implementing class using autowiring.
AutowiredInstanceTrait::getAutowireArguments private static function Resolves arguments for a method using autowiring.
AutowireTrait::create public static function Instantiates a new instance of the implementing class using autowiring. 129
ConfirmFormArrayPathTestForm::getCancelText public function Returns a caption for the link which cancels the action. Overrides ConfirmFormTestForm::getCancelText
ConfirmFormArrayPathTestForm::getCancelUrl public function Returns the route to go to if the user cancels the action. Overrides ConfirmFormTestForm::getCancelUrl
ConfirmFormArrayPathTestForm::getFormId public function Returns a unique string identifying the form. Overrides ConfirmFormTestForm::getFormId
ConfirmFormBase::getFormName public function Returns the internal name used to refer to the confirmation item. Overrides ConfirmFormInterface::getFormName
ConfirmFormTestForm::buildForm public function Form constructor. Overrides ConfirmFormBase::buildForm
ConfirmFormTestForm::getConfirmText public function Returns a caption for the button that confirms the action. Overrides ConfirmFormBase::getConfirmText
ConfirmFormTestForm::getDescription public function Returns additional text to display as a description. Overrides ConfirmFormBase::getDescription
ConfirmFormTestForm::getQuestion public function Returns the question to ask the user. Overrides ConfirmFormInterface::getQuestion
ConfirmFormTestForm::submitForm public function Form submission handler. Overrides FormInterface::submitForm
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function 2
FormBase::$configFactory protected property The config factory. 1
FormBase::$requestStack protected property The request stack. 1
FormBase::$routeMatch protected property The route match.
FormBase::config protected function Retrieves a configuration object.
FormBase::configFactory protected function Gets the config factory for this form. 1
FormBase::container private function Returns the service container.
FormBase::currentUser protected function Gets the current user. 2
FormBase::getRequest protected function Gets the request object. Overrides HtmxRequestInfoTrait::getRequest
FormBase::getRouteMatch protected function Gets the route match.
FormBase::logger protected function Gets the logger for a specific channel.
FormBase::redirect protected function Returns a redirect response object for the specified route.
FormBase::resetConfigFactory public function Resets the configuration factory.
FormBase::setConfigFactory public function Sets the config factory for this form.
FormBase::setRequestStack public function Sets the request stack object to use.
FormBase::validateForm public function Form validation handler. Overrides FormInterface::validateForm 54
HtmxRequestInfoTrait::getHtmxCurrentUrl protected function Retrieves the URL of the requesting page from an HTMX request header.
HtmxRequestInfoTrait::getHtmxPrompt protected function Retrieves the prompt from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTarget protected function Retrieves the target identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTrigger protected function Retrieves the trigger identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTriggerName protected function Retrieves the trigger name from an HTMX request header.
HtmxRequestInfoTrait::isHtmxBoosted protected function Determines if the request is boosted by HTMX.
HtmxRequestInfoTrait::isHtmxHistoryRestoration protected function Determines if if the request is for history restoration.
HtmxRequestInfoTrait::isHtmxRequest protected function Determines if the request is sent by HTMX.
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 27
MessengerTrait::messenger public function Gets the messenger. 27
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.